/*
Theme Name: tgif Child
Theme URI: http://www.wpbingosite.com/papzi
Author: 
Description: This is a child theme for TGIF
Version: 1.0
Author URI: 
Template: tgif
Text Domain: tgif-child
*/
/*************** ADD YOUR CUSTOM CSS HERE  ***************/

/* .bwp-header.header-v2 .header-desktop {
    display: none;
} */

html {
  scroll-behavior: smooth;
}

@font-face {
  font-family: Brandon Grotesque;
  src: url(assets/fonts/BrandonGrotesque-Regular.otf);
}

@font-face {
  font-family: Brandon_Grotesque_Bold;
  src: url(assets/fonts/BrandonGrotesque-Bold.ttf);
}

@font-face {
  font-family: veneer clean;
  src: url(assets/fonts/VeneerCleanReg.otf);
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

a:active, a:focus { 
  outline: none; 
  border:none;
}

html, body {
  font-family: "Brandon Grotesque";
}

.tgifcust-container {
  padding-left: 25px;
  padding-right: 25px;
}

.tgif-categorywrap {
  background-color: #121316;
}

.tgif-categorywrap img {
  max-width: 100%;
  height: auto;
}

/* cate header */
.tgifcateheader {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 53px 37px 35px 45px;
}

.tgifcateheader .tgiflogo {
  max-width: 210px;
  margin: 0 auto;
}

.tgifcateheader select {
  background: #eb4c4b;
  color: #fff;
  height: 35px;
  min-width: 115px;
  outline: 0;
  border: 0;
  box-shadow: none;
  text-align: left;
  z-index: 99;
  padding-left: 26px;
}

.tgifcateheader .select {
  position: relative;
}

.tgifcateheader .select::after {
  content: "";
  background-image: url("./assets/images/circleworld.svg");
  position: absolute;
  top: 50%;
  left: 0px;
  background-color: #eb4c4b;
  pointer-events: none;
  height: 35px;
  width: 24px;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  background-position-y: 4px;
  transform: translateY(-51%);
}

.categorylistitem {
  padding-top: 20px;
  padding-bottom: 10px;
  position: relative;
}

.cateitem-listprodwrap {
  display: flex;
  overflow-x: auto;
  justify-content: space-around;
  padding-left: 60px;
  padding-right: 30px;
  list-style: none;
}

.cateitem-listprodwrap .cateitem-product a {
  text-decoration: none;
}

.cateitem-product {
  text-align: center;
}

.cateitem-product .item-image img {
  /* width: 70px;
  height: 70px; */
  width: calc(30px + (160 - 30) * ((100vw - 320px) / (1199 - 320)));
  height: calc(30px + (160 - 30) * ((100vw - 320px) / (1199 - 320)));
  border-radius: 100%;
}

.cateitem-product .pitem-title {
  font-family: "Brandon Grotesque";
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  text-decoration: none;
  margin: 10px 0px 0px 0px;
  color: #fff;
  text-align: center;
  padding-bottom: 10px;
  position: relative;
}

.cateitem-product.active .pitem-title {
  color:#eb4c4b;
}

/* .catecont-wrap .contwrap {
  display: flex;
  margin-bottom: 15px;
} */

.cateitem-product.active .pitem-title::after {
  position: absolute;
  content: "";
  background-color: #eb4c4b;
  width: 31px;
  height: 2px;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
}


/* maincategory variety */

.tgifcatevariety ul {
  display: flex;
  justify-content: space-between;
  list-style: none;
  overflow-x: auto;
  padding: 45px 60px 10px;
}

.tgifcatevariety ul li {
  position: relative;
}

.tgifcatevariety ul li a {
  font-family: "Brandon Grotesque";
  font-size: 16px;
  font-weight: 500;
  font-size: 16px;
  text-decoration: none;
  color: #fff;
  padding: 8px 21px;
  display: inline-block;
  white-space: nowrap;
}

.tgifcatevariety ul li.active a {
  color: #fff;
  font-weight: 600;
  background-color: #eb4c4b;
}

.tgifcatevar-wrap .cateouter-wrap {
  display: flex;
  padding: 40px 15px 40px;
}

.tgifcatevar-wrap .cateimg img {
  max-height: 230px;
  object-fit: cover;
  border-radius: 0px;
  width: 100%;
}

.tgifcatevar-wrap .cateimg {
  flex: 0 0 50%;
  max-width: 50%;
  position: relative;
  display: flex;
  padding-left: 15px;
  padding-right: 15px;
}

.tgifcatevar-wrap .catecont-wrap {
  flex: 0 0 50%;
  max-width: 50%;
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 10px;
}

.tgifcatevar-wrap .contwrap h5 {
  font-size: 26px;
  text-transform: uppercase;
  font-weight: 600;
  margin: 0 0 15px;
  font-family: "Brandon Grotesque";
  color: #fff;
  /* display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden; */
  display: flex;
}

.tgifcatevar-wrap .contwrap h5 span {
  margin-left: 5px;
  top: -3px;
  position: relative;
  display: inline-block;
}

.tgifcatevar-wrap .catecont-wrap p {
  color: #fff;
  font-size: 20px;
  margin-bottom: 0;
  max-width: 100%;
  line-height: 28px;
  font-family: "Brandon Grotesque";
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.tgifborderlayer {
  display: flex;
  width: 100%;
  text-align: center;
  justify-content: center;
}

.contwithborder:last-child .tgifborderlayer {
  display: none;
}

.seemorewrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 25px;
}

.seemorewrap h6 {
  color: #eb4c4b;
  font-size: 22px;
  margin-bottom: 0;
  margin-top: 0px;
  font-weight: 600;
}

.seemorewrap .see-more {
  text-decoration: none;
  color: #fff;
  font-size: 14px;
}

.seemorewrap img {
  max-width: 81px;
}

.mainbgcoverwrap {
  position: relative;
  padding-top: calc(150px + (350 - 150) * ((100vw - 320px) / (1024 - 320)));
}

.mainbgcontent {
  position: absolute;
  bottom: 50px;
  left: 60px;
}

.mainbgcoverwrap h5 {
  color: #fff;
  font-size: 65px;
  text-transform: uppercase;
  font-family: Brandon_Grotesque_Bold;
}

.mainbgcoverwrap h5 {
  font-family:veneer clean;
}

.mainbgcoverwrap h5:after {
  content: "";
  position: absolute;
  bottom: 0px;
  left: 0;
  width: 100%;
  height: 4px;
  background-image: url("./assets/images/whiteborderline.svg");
  background-repeat:repeat-x;
}

.mainbgcoverwrap img {
  width: 100%;
  max-height: 280px;
  object-fit: cover;
}


.subcateg-head h4 {
  font-size: 30px;
  color: #eb4c4b;
  margin-bottom: 5px;
}

.subcateg-head p {
  color: #fff;
  font-size: 20px;
  margin-bottom: 0;
  max-width: 100%;
  line-height: 28px;
  font-family: "Brandon Grotesque";
}

.subcateg-head {
  padding-left: 25px;
  margin-top: 30px;
}


a.product-popup {
  color: inherit;
  text-decoration: none;
}


.tgifcatevar-wrap .contwrap h5 label {
  float: left;
  max-width: calc(100% - 30px);
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  word-break: break-all;
}

/* Modal CSS */

.modalwrapbefore.active {
  height: 44px;
  background-image: url('./assets/images/Ribbon.png');
  width: 141px;
  background-size: contain;
  background-repeat: no-repeat;
  position: absolute;
  left: -13px;
  top: 35px;
  z-index: 99;
}

.modalwrapbefore.active p {
  font-size: 16px;
  color: #fff;
  padding-left: 15px;
  font-weight: 800;
  text-transform: uppercase;
  padding-top: 5px;
}

.modal-close-button.close {
  float:none;
  opacity:1;
}

#catveg img {
  display: inline-block;
  width: 18px;
  height: 18px;
  margin-left: 7px;
  margin-top: -3px;
}

.category-modalwrap {
  max-width: 650px;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  /* min-height: 777px; */
  background-color: #121316;
}

.category-modalwrap::after {
  content: "";
  display: block;
  height: 7px;
  background-image: url("./assets/images/borderline.svg");
  background-repeat: repeat-x;
  background-position: center bottom;
}

.categoryoverlayimg {
  position: relative;
  text-align: center;
}

.categoryoverlayimg img {
  max-height: 375px;
  min-height: 375px;
  width: 100%;
  object-fit: cover;
}

.category-modcontent {
  text-align: center;
  margin-top: 30px;
  padding: 0 55px 75px;
}

.category-modcontent h3 {
  font-size: 42px;
  margin-bottom: 15px;
  color: #fff;
  text-transform: uppercase;
}

.catmodcontent {
  font-size: 26px;
  color: #fff;
  margin-bottom: 30px;
  line-height: 36px;
  text-align: center;
}

.category-modcontent .downheading h2 {
  font-size: 26px;
  color: #eb4c4b;
  text-align: center;
  font-weight: 600;
}

.closeicon {
  position: absolute;
  top: 20px;
  right: 15px;
  z-index: 99;
  cursor: pointer;
  width: 59px;
  height: 59px;
  border-radius: 50px;
  background-color: rgb(18 19 22 / 41%);
  display: flex;
  align-items: center;
  justify-content: center;
}

.closeicon img {
  filter: invert(1);
  max-width: 45px;
}

#ProdModal .modal-content {
  background:none;
  border:none;
}

#ProdModal .modal-body {
  padding: 0 0 70px 0;
}

/* #b.modal{
  display:none;
  top: 0;
  overflow: auto;
  z-index: 120;
  margin-top: 30px;
  animation-name: fadeIn_Modal;
  animation-duration: 0.8s;
  padding-bottom: 30px;
} */

/*

#ProdModal .modal-footer {
  border-top: 0px solid #e5e5e5;
  text-align: center;
  position: relative;
  justify-content: center;
  display:block;
}

#ProdModal .modal-body::before {
  position: absolute;
  content: "";
  width: 3px;
  height: 60px;
  background-color: #ffffff;
  bottom: 15px;
  left: 50%;
  transform: translateX(-50%);
}

#ProdModal .modal-close-button::before {
  position: absolute;
  content: "";
  width: 3px;
  height: 12px;
  background-color: #ffffff;
  top: -5px;
  left: 50%;
  transform: translateX(-50%);
} */

/* .modal-overlay-container{
  display: none;
  width: 100%;
  height: 100vh;
  position: fixed;
  opacity: 0.5;
  background: #000000;
  z-index: 119;
  top:0;
  left: 0;
  overflow: hidden;
  animation-name: fadeIn_Container;
  animation-duration: 1s;
  
} */

.scroll-top-header {
  padding: 15px 37px 15px 45px;
    animation: 1s ease 0s 1 normal forwards running smoothScroll;
    transition: all 0.5s ease 0s;
}

.tgif-categorywrap #subcat_section_top {
  width:100%;
  max-width:100%;
  background:#121316;
  top:260px;
  animation: smoothScroll 0.5s forwards;
  z-index:9;
}

.tgifcust-container .tgifcatevariety {
  display: none;
}

@keyframes smoothScroll {
	0% {
		transform: translateY(-10px);
	}
	100% {
		transform: translateY(0px);
	}
}

.fixed-section.categorylistitem {
  padding-top:20px;
  padding-bottom:10px;
}

.fixed-subcat-section {
  z-index:99;
  position:sticky;
}

.fixedwrapper .languageselect {
  position: static;
}

.fixed-subcat-section ul {
  padding-top:10px;
}

.fixedwrapper {
  position: fixed;
  width: 100%;
  z-index: 99;
  background-color: #121316;
}

/* 404 Page css */

.pagenotfound-wrap img {
  max-width: 100%;
  height: auto;
}

.pagenotfound-wrap {
  min-height: 100vh;
  display: flex;
  align-items: center;
}

.tgigcontainer-pagenotfound {
  max-width: 1199px;
}

.pagenotfound-content,
.pagenotfound-butn {
  max-width: 415px;
  margin-left: auto;
  margin-right: auto;
}

.pagenotfound-content h3 {
  font-size: 38px;
  font-weight: 800;
  color: #050505;
  text-align: center;
  margin-bottom: 15px;
  margin-top: -100px;
}

.pagenotfound-content p {
  font-size: 22px;
  color: #000;
  line-height: 40px;
  text-align: center;
  font-weight: 500;
}

.pagenotfound-butn {
  text-align: center;
}

.pagenotfound-butn {
  max-width: 384px;
  margin-top: 50px;
}

.contwrap h5 span img {
  width:18px;
  height:18px;
  display: inline-block;
}

.leftarrow-btn {
  transform: rotate(180deg);
}

.cateimg img.mobile_image {
  display:none;
}

.cateimg img.tablet_image {
  display:block;
}

@media (max-width:991px) {
  .mainbgcoverwrap {
      padding-top: 330px;
  }
}

@media (max-width: 767px) {
    .tgifcateheader {
      padding: 23px 17px 15px 25px;
    }

    .tgifcateheader .tgiflogo {
      max-width: 106px;
    }

    .cateitem-listprodwrap {
      padding-left: 20px;
      padding-right: 10px;
    }

    .tgifcatevar-wrap .cateouter-wrap {
      display: flex;
      padding: 30px 0px 30px;
    }

    /* .tgifcust-container {
      padding-left: 20px;
      padding-right: 20px;
    } */

    .tgifcatevariety ul {
      padding: 25px 0px 10px;
    }

    .tgifcatevar-wrap .catecont-wrap,
    .tgifcatevar-wrap .cateimg {
      padding-left: 10px;
      padding-right: 10px;
    }

    .seemorewrap h6 {
      font-size: 16px;
    }

    .arrowbtn {
      max-width: 30px;
    }

    .categorylistitem {
      padding-top: 10px;
      padding-bottom: 0;
      position: relative;
    }

    .tgifcateheader select {
      height: 25px;
    }

    .tgifcateheader .select::after {
      top: 50%;
      height: 25px;
      background-position-y: 0px;
      transform: translateY(-50%);
    }

    /* .cateitem-product .item-image img {
      width: calc(30px + (45 - 30) * ((100vw - 320px) / (576 - 320)));
      height: calc(30px + (45 - 30) * ((100vw - 320px) / (576 - 320)));
    } */

    .cateitem-product .pitem-title {
      font-size: calc(10px + (14 - 10) * ((100vw - 320px) / (576 - 320)));
      padding-bottom: 5px;
    }

    .seemorewrap a img {
      max-width: 65px;
    }

    .tgifcatevar-wrap .cateimg img {
      max-width: 100%;
    }

    .tgifcatevar-wrap .catecont-wrap p {
      font-size: 14px;
      line-height: 18px;
      -webkit-line-clamp: 2;
      max-width: calc(100% - 20px);
    }

    .tgifcatevar-wrap .contwrap h5 {
      font-size: 14px;
    }

    .tgifcatevariety ul li a {
      margin-right: 5px;
      padding: 5px 10px;
      font-size: 14px;
    }

    .fridlunchcont {
      left: 20px;
    }

    .fridlunchcont h4 {
      font-size: calc(12px + (14 - 12) * ((100vw - 320px) / (576 - 320)));
      margin-bottom: 2px;
    }

    .fridlunchcont p {
      font-size: calc(10px + (12 - 10) * ((100vw - 320px) / (576 - 320)));
    }

    .mainbgcoverwrap h5 {
      font-size: calc(20px + (65 - 20) * ((100vw - 320px) / (576 - 320)));
    }

    .mainbgcontent {
      bottom: 20px;
      left: 40px;
    }

    .subcateg-head h4 {
      font-size: 20px;
    }
    .subcateg-head p {
      font-size: 14px;
      line-height: 18px;
    }
    .subcateg-head {
      padding-left: 10px;
      margin-top: 10px;
    }

    
  }



@media (max-width:576px) {

  .mainbgcoverwrap {
    padding-top: 170px;
  }

  /* Fixed sections of category */

  .tgif-categorywrap #subcat_section_top {
    top: 155px;
  }

  .tgifcatevariety ul {
    padding: 30px 0px 10px;
  }

  .fixed-subcat-section ul {
    padding-top:14px;
  }

  /* 404 Page CSS */
  .pagenotfound-content {
      max-width: calc(280px + (415 - 280) * ((100vw - 320px) / (576 - 320)));
  }

  .pagenotfound-butn {
      margin-top: calc(30px + (60 - 30) * ((100vw - 320px) / (576 - 320)));
      max-width: calc(280px + (415 - 280) * ((100vw - 320px) / (576 - 320)));
  }

  .pagenotfound-content h3 {
      font-size: calc(24px + (38 - 24) * ((100vw - 320px) / (576 - 320)));
      margin-bottom: 15px;
      margin-top: -10px;
  }

  .pagenotfound-content p {
      font-size: calc(16px + (22 - 16) * ((100vw - 320px) / (576 - 320)));
      line-height: calc(28px + (40 - 28) * ((100vw - 320px) / (576 - 320)));
  }

  .contwrap h5 span img {
    width:12px;
    height:12px;
  }

  .cateitem-product.active:before {
    height: 3px;
  }

  .categoryoverlayimg img {
    min-height: auto;
    max-height: 275px;
  }

  .category-modcontent h3 {
      font-size: 24px;
  }

  .catmodcontent {
      font-size: 16px;
      line-height: 28px;
  }

  .category-modcontent .downheading h2 {
      font-size: 22px;
  }

  .category-modcontent {
      padding: 0 30px 30px;
  }


  .catmodcontent {
      margin-bottom: 20px;
  }

  .tgifborderlayer {
    max-width: 160px;
    margin: auto;
  }

  #catveg img {
    width: 12px;
    height: 12px;
  }

  .closeicon img {
    filter: invert(1);
    max-width: 30px;
  }

  .closeicon {
    width: 45px;
    height: 45px;
  }

  /* .mainbgcoverwrap {
    padding-top: 190px;
  } */

  .subcateg-head:first-child {
    margin-top:40px;
  }
  
  .cateimg img.mobile_image {
    display:block;
  }

  .cateimg img.tablet_image {
    display:none;
  }


}